.header-button {
  display: flex;
  flex-direction: row;
  align-items: center;
  margin-left: 1rem;
  height: 28px;
  margin-top: 2px;
}
.save-button {
  margin-right: 1rem;
}

.play-popover {
  &-title {
    display: flex;
    flex: 1;
    justify-content: space-between;
  }
  &-button {
    display: flex;
    font-size: 2rem;
    align-items: center;
    color: var(--pr-accent-color);
  }
}
.play {
  display: flex;
  flex: 1;
  flex-direction: row;
  min-width: 40vw;

  &-parameters {
    display: flex;
    flex: 1;
    flex-direction: column;
    max-height: 70vh;
    overflow: auto;

    &-title {
      font-weight: 600;
    }
  }

  &-run {
    display: flex;
    flex-direction: column;
    flex: 1;
    margin-right: 1rem;

    &-header {
      display: flex;
      flex-direction: row;
      justify-content: space-between;
      &-title {
        font-weight: 600;
      }
      &-buttons {
        display: flex;
        flex-direction: row;
      }

      &-button {
        &-copy {
          display: flex;
          align-items: center;
          margin-right: 0.5rem;
        }
        &-run {
          display: flex;
          align-items: center;
          color: var(--pr-accent-color);
          &--running {
            color: var(--pr-main-text);
          }

          svg {
            margin-right: 0.3rem;
          }
        }
      }
    }
  }

  &-result {
    display: flex;
    flex: 1;
    flex-direction: column;
    align-items: stretch;
    min-height: 20vh;
    justify-content: center;

    &--empty {
      align-items: center;
    }

    &-icon {
      font-size: 3rem;
      margin-bottom: 1rem;
      color: var(--pr-accent-color);
    }

    &-button-start {
      color: var(--pr-accent-color);
      text-decoration: underline;
    }

    &-code-editor {
      height: auto;
      max-width: 500px;
    }
  }

  &-error {
    display: flex;
    flex-direction: column;
    text-align: center;

    &-icon {
      display: flex;
      margin-bottom: 1rem;
      color: var(--pr-warning-color);
      font-size: 3rem;
      justify-content: center;
    }
  }

  &--has-parameters {
    min-width: 70vw;

    &-result {
      width: 50%;
    }
  }
}

.details {
  &-title {
    display: flex;
    flex: 1;
    justify-content: space-between;
  }
  &-content {
    display: flex;
    flex: 1;

    :global(.pr-form-object__properties) {
      max-height: 70vh;
      overflow: auto;
    }
  }
  &-buttons {
    display: flex;
    flex: 1;
    justify-content: flex-end;
  }
  &-overlay {
    min-width: 50%;
  }
}
